Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-is-date-object
Version:        1.0.1
Release:        alt1_7
Summary:        Is this value a JS Date object?

License:        MIT
URL:            https://github.com/ljharb/is-date-object
Source0:        https://registry.npmjs.org/is-date-object/-/is-date-object-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(tape)
Source44: import.info


%description
Is this value a JS Date object? This module works cross-realm/iframe, and
despite ES6 @@toStringTag.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-date-object
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-date-object
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} --harmony --es-staging test.js


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/is-date-object


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_7
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt0.1.njs.bootstrap
- bootstrap

